package com.quiomputing.cronopartes.actividades;

import android.app.Activity;
import android.app.Dialog;
import android.content.Context;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;

import com.quiomputing.cronopartes.R;
import com.quiomputing.cronopartes.bd.TareaBD;
import com.quiomputing.cronopartes.data.Tarea;

/**
 * Created by joaqu on 16/11/2015.
 */
public class DialogoEdicionDescripcion extends Activity {

	TareaBD tareaBD;
	Tarea tarea;
	EditText editText;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.editar_descripcion);
		Bundle extras = getIntent().getExtras();
		long id = extras.getLong("id");
		tareaBD = new TareaBD(this);
		tarea = tareaBD.getTarea(id);
		editText = (EditText) findViewById(R.id.tarea_editor_descripcion);
		editText.setText(tarea.getDescripcion());
	}

	public void grabarDescripcion(View view) {
		tarea.setDescripcion(editText.getText().toString());
		tareaBD.guardar(tarea);
		finish();
	}

	public void cancelar(View view) {
		finish();
	}

}
